[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

./packages/openofficeorg/3.0.1/unstable r1433: fix saxon conditional; use internal saxon



------------------------------------------------------------
revno: 1433
committer: Rene Engelhard <rene@debian.org>
branch nick: unstable
timestamp: Fri 2009-03-20 00:29:17 +0100
message:
  fix saxon conditional; use internal saxon
modified:
  changelog
  control
  rules
=== modified file 'changelog'
--- a/changelog	2009-03-18 09:35:56 +0000
+++ b/changelog	2009-03-19 23:29:17 +0000
@@ -1,3 +1,11 @@
+openoffice.org (1:3.0.1-8) UNRELEASED; urgency=low
+
+  * debian/rules:
+    - fix saxon conditional. use internal saxon because system-saxon
+      breaks various filters....
+
+ -- Rene Engelhard <rene@debian.org>  Thu, 19 Mar 2009 13:02:00 +0100
+
 openoffice.org (1:3.0.1-7) unstable; urgency=high
 
   * brown papaer bag release

=== modified file 'control'
--- a/control	2009-03-15 16:30:43 +0000
+++ b/control	2009-03-19 23:29:17 +0000
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian OpenOffice Team <debian-openoffice@lists.debian.org>
 Uploaders: Chris Halls <halls@debian.org>, Rene Engelhard <rene@debian.org>
-Build-Depends: lsb-release, bzip2, bison (>= 1:1.875a-1), flex-old, libpam0g-dev, libxaw7-dev, unzip, zip, autoconf, sharutils, pkg-config, libfontconfig1-dev, binutils (>= 2.14.90.0.6-3) [sparc], libc6 (>= 2.3.2-1) [powerpc], zlib1g-dev, libfreetype6-dev, libx11-dev, libsm-dev, libxt-dev, libxext-dev, libxtst-dev, libice-dev, libsane-dev, libxrender-dev, libcups2-dev, libarchive-zip-perl, libpng12-dev, libjpeg62-dev, libxml2-dev, libldap2-dev, libexpat1-dev, fastjar, xsltproc, imagemagick, netpbm, fdupes, xml-core, libxkbfile-dev, libxinerama-dev, x11proto-render-dev, unixodbc-dev (>= 2.2.11), libxml-parser-perl, gperf, libpq-dev, bc , g++ (>> 4.3.0) [s390], gcc (>> 4.3.0) [s390] , dpkg-dev (>= 1.14.11) , libpoppler-dev (>= 0.8.0) , libcurl4-openssl-dev , libssl-dev , libdb-dev , python-central (>= 0.5) , python-dev (>= 2.4) , debhelper (>= 6.0.7~) , openjdk-6-jdk [i386 powerpc sparc mips mipsel s390 armel amd64 ppc64] , gij [i386 sparc mips mipsel s390 armel amd64 ia64], java-gcj-compat-dev (>= 1.0.76-7) [i386 sparc mips mipsel s390 armel amd64 ia64], libgcj-bc [i386 sparc mips mipsel s390 armel amd64 ia64] , ant (>= 1.7.0) [i386 powerpc sparc mips mipsel s390 armel amd64 ia64 ppc64], ant-optional (>= 1.7.0) [i386 powerpc sparc mips mipsel s390 armel amd64 ia64 ppc64] , libsaxonb-java [i386 powerpc sparc mips mipsel s390 armel amd64 ia64 ppc64] , mingw32 [i386 powerpc sparc mips mipsel s390 armel amd64 ia64 ppc64] , libcommons-codec-java [i386 powerpc sparc mips mipsel s390 armel amd64 ia64 ppc64], libcommons-httpclient-java [i386 powerpc sparc mips mipsel s390 armel amd64 ia64 ppc64], libcommons-lang-java [i386 powerpc sparc mips mipsel s390 armel amd64 ia64 ppc64], libcommons-logging-java [i386 powerpc sparc mips mipsel s390 armel amd64 ia64 ppc64] , libjcommon-java (>= 1.0.10) [i386 powerpc sparc mips mipsel s390 armel amd64 ia64 ppc64], libsac-java [i386 powerpc sparc mips mipsel s390 armel amd64 ia64 ppc64], libxml-java [i386 powerpc sparc mips mipsel s390 armel amd64 ia64 ppc64], libflute-1.3-jfree-java [i386 powerpc sparc mips mipsel s390 armel amd64 ia64 ppc64], libpentaho-reporting-flow-engine-java [i386 powerpc sparc mips mipsel s390 armel amd64 ia64 ppc64], liblayout-java [i386 powerpc sparc mips mipsel s390 armel amd64 ia64 ppc64], libloader-java [i386 powerpc sparc mips mipsel s390 armel amd64 ia64 ppc64], libformula-java [i386 powerpc sparc mips mipsel s390 armel amd64 ia64 ppc64], librepository-java [i386 powerpc sparc mips mipsel s390 armel amd64 ia64 ppc64], libfonts-java (>= 0.2.6) [i386 powerpc sparc mips mipsel s390 armel amd64 ia64 ppc64], libjcommon-serializer-java [i386 powerpc sparc mips mipsel s390 armel amd64 ia64 ppc64] , iceape-dev (>= 1.1.9-5) [i386 powerpc sparc mips mipsel s390 armel amd64 ia64 ppc64], libnss3-dev [i386 powerpc sparc mips mipsel s390 armel amd64 ia64 ppc64] , dmake (>= 1:4.11) , mono-devel (>= 2.0.1) [i386 sparc amd64 ia64], libmono-dev (>= 2.0.1) [i386 sparc amd64 ia64], mono-utils (>= 2.0.1) [i386 sparc amd64 ia64], cli-common-dev (>= 0.5.7) [i386 sparc amd64 ia64] , mono-jit (>= 1.9.1+dfsg-2) [amd64] , libhunspell-dev (>= 1.1.5-2) , libhyphen-dev (>= 2.4) , libstlport4.6-dev (>= 4.6.2-3) [i386] , libboost1.37-dev (>= 1.37.0-4) , libvigraimpex-dev , libwpd8-dev (>= 0.8.3-3) , libwps-dev , libwpg-dev , libicu-dev , libxslt1-dev , libcairo2-dev , kdelibs4-dev (>= 4:3.4.3-2) , libxrandr-dev , liblucene2-java (>= 2.3.2) [i386 powerpc sparc mips mipsel s390 armel amd64 ia64 ppc64] , libhsqldb-java (>= 1.8.0.9-1) [i386 powerpc sparc mips mipsel s390 armel amd64 ia64 ppc64] , bsh (>= 2.0b4-1) [i386 powerpc sparc mips mipsel s390 armel amd64 ia64 ppc64] , liblpsolve55-dev (>= 5.5.0.13-4), lp-solve (>= 5.5.0.13-4) , libsuitesparse-dev (>= 1:3.2.0-2) , libdbus-glib-1-dev (>= 0.60) , libgstreamer-plugins-base0.10-dev , libneon27-dev , librdf0-dev , libgtk2.0-dev (>= 2.10) , libgnomevfs2-dev
+Build-Depends: lsb-release, bzip2, bison (>= 1:1.875a-1), flex-old, libpam0g-dev, libxaw7-dev, unzip, zip, autoconf, sharutils, pkg-config, libfontconfig1-dev, binutils (>= 2.14.90.0.6-3) [sparc], libc6 (>= 2.3.2-1) [powerpc], zlib1g-dev, libfreetype6-dev, libx11-dev, libsm-dev, libxt-dev, libxext-dev, libxtst-dev, libice-dev, libsane-dev, libxrender-dev, libcups2-dev, libarchive-zip-perl, libpng12-dev, libjpeg62-dev, libxml2-dev, libldap2-dev, libexpat1-dev, fastjar, xsltproc, imagemagick, netpbm, fdupes, xml-core, libxkbfile-dev, libxinerama-dev, x11proto-render-dev, unixodbc-dev (>= 2.2.11), libxml-parser-perl, gperf, libpq-dev, bc , g++ (>> 4.3.0) [s390], gcc (>> 4.3.0) [s390] , dpkg-dev (>= 1.14.11) , libpoppler-dev (>= 0.8.0) , libcurl4-openssl-dev , libssl-dev , libdb-dev , python-central (>= 0.5) , python-dev (>= 2.4) , debhelper (>= 6.0.7~) , openjdk-6-jdk [i386 powerpc sparc mips mipsel s390 armel amd64 ppc64] , gij [i386 sparc mips mipsel s390 armel amd64 ia64], java-gcj-compat-dev (>= 1.0.76-7) [i386 sparc mips mipsel s390 armel amd64 ia64], libgcj-bc [i386 sparc mips mipsel s390 armel amd64 ia64] , ant (>= 1.7.0) [i386 powerpc sparc mips mipsel s390 armel amd64 ia64 ppc64], ant-optional (>= 1.7.0) [i386 powerpc sparc mips mipsel s390 armel amd64 ia64 ppc64] , mingw32 [i386 powerpc sparc mips mipsel s390 armel amd64 ia64 ppc64] , libcommons-codec-java [i386 powerpc sparc mips mipsel s390 armel amd64 ia64 ppc64], libcommons-httpclient-java [i386 powerpc sparc mips mipsel s390 armel amd64 ia64 ppc64], libcommons-lang-java [i386 powerpc sparc mips mipsel s390 armel amd64 ia64 ppc64], libcommons-logging-java [i386 powerpc sparc mips mipsel s390 armel amd64 ia64 ppc64] , libjcommon-java (>= 1.0.10) [i386 powerpc sparc mips mipsel s390 armel amd64 ia64 ppc64], libsac-java [i386 powerpc sparc mips mipsel s390 armel amd64 ia64 ppc64], libxml-java [i386 powerpc sparc mips mipsel s390 armel amd64 ia64 ppc64], libflute-1.3-jfree-java [i386 powerpc sparc mips mipsel s390 armel amd64 ia64 ppc64], libpentaho-reporting-flow-engine-java [i386 powerpc sparc mips mipsel s390 armel amd64 ia64 ppc64], liblayout-java [i386 powerpc sparc mips mipsel s390 armel amd64 ia64 ppc64], libloader-java [i386 powerpc sparc mips mipsel s390 armel amd64 ia64 ppc64], libformula-java [i386 powerpc sparc mips mipsel s390 armel amd64 ia64 ppc64], librepository-java [i386 powerpc sparc mips mipsel s390 armel amd64 ia64 ppc64], libfonts-java (>= 0.2.6) [i386 powerpc sparc mips mipsel s390 armel amd64 ia64 ppc64], libjcommon-serializer-java [i386 powerpc sparc mips mipsel s390 armel amd64 ia64 ppc64] , iceape-dev (>= 1.1.9-5) [i386 powerpc sparc mips mipsel s390 armel amd64 ia64 ppc64], libnss3-dev [i386 powerpc sparc mips mipsel s390 armel amd64 ia64 ppc64] , dmake (>= 1:4.11) , mono-devel (>= 2.0.1) [i386 sparc amd64 ia64], libmono-dev (>= 2.0.1) [i386 sparc amd64 ia64], mono-utils (>= 2.0.1) [i386 sparc amd64 ia64], cli-common-dev (>= 0.5.7) [i386 sparc amd64 ia64] , mono-jit (>= 1.9.1+dfsg-2) [amd64] , libhunspell-dev (>= 1.1.5-2) , libhyphen-dev (>= 2.4) , libstlport4.6-dev (>= 4.6.2-3) [i386] , libboost1.37-dev (>= 1.37.0-4) , libvigraimpex-dev , libwpd8-dev (>= 0.8.3-3) , libwps-dev , libwpg-dev , libicu-dev , libxslt1-dev , libcairo2-dev , kdelibs4-dev (>= 4:3.4.3-2) , libxrandr-dev , liblucene2-java (>= 2.3.2) [i386 powerpc sparc mips mipsel s390 armel amd64 ia64 ppc64] , libhsqldb-java (>= 1.8.0.9-1) [i386 powerpc sparc mips mipsel s390 armel amd64 ia64 ppc64] , bsh (>= 2.0b4-1) [i386 powerpc sparc mips mipsel s390 armel amd64 ia64 ppc64] , liblpsolve55-dev (>= 5.5.0.13-4), lp-solve (>= 5.5.0.13-4) , libsuitesparse-dev (>= 1:3.2.0-2) , libdbus-glib-1-dev (>= 0.60) , libgstreamer-plugins-base0.10-dev , libneon27-dev , librdf0-dev , libgtk2.0-dev (>= 2.10) , libgnomevfs2-dev
 Build-Conflicts: libcairo2 (= 1.4.8-1), libxul-dev (= 1.8.0.13~pre070720-0etch1), gjdoc (= 0.7.8-2), libc6-dev (= 2.6.1-3) [i386 amd64], libc6-dev (= 2.6.1-4) [i386 amd64], nvidia-glx-dev, nvidia-glx-legacy-dev, libmono-dev (= 1.2.6+dfsg-1), libmono-dev (= 1.2.6+dfsg-2), libmono-dev (= 1.2.6+dfsg-3), libmono-dev (= 1.2.6+dfsg-4), gcj-4.2 (= 4.2.2-6), flex (= 2.5.34-1) [amd64], xulrunner-dev, base-files (= 5)
 Standards-Version: 3.8.0
 XS-Python-Version: current

=== modified file 'rules'
--- a/rules	2009-03-11 18:38:25 +0000
+++ b/rules	2009-03-19 23:29:17 +0000
@@ -156,6 +156,11 @@
 BUILD_DBG_PACKAGE=y
 USE_SYSTEM_BSH=y
 USE_SYSTEM_HSQLDB=y
+# disabled because system-saxon breaks all kinds exports using XSLT transforms
+# (e.g. M$ Word/Excel 2003 XML, Mediawiki, XHTML, UOF, ...)
+# It does *NOT* fail with _plain_ saxon 9.0.0.8 built with OOos build.xml
+# for UOF, but still for e.g. M$.
+USE_SYSTEM_SAXON=n
 USE_SYSTEM_LUCENE=y
 KDELIBS_MINVER= (>= 4:3.4.3-2)
 USE_SYSTEM_LPSOLVE=y
@@ -592,7 +597,6 @@
 	BUILD_DEPS += , ant (>= 1.6.5) [$(OOO_JAVA_ARCHS)]
   endif
 	GCJ_VERSION = $(shell basename `readlink $(JAVA_HOME)/bin/gcj` | sed -e s/gcj-//)
-	SYSTEM_SAXON=y
 	GCJ_JAWT_DEPENDS= $(shell dpkg -S /usr/lib/`readlink /usr/lib/libgcj_bc.so.1` | cut -d: -f1 | sed -e s/$$/-awt/)
 	DBG_DBG_SUGGESTS+= , $(shell echo $(GCJ_AWT_DEPENDS) | sed -e s/awt/dbg/)
 	JAVA_RUNTIME_DEPENDS = default-jre | java-gcj-compat
@@ -612,7 +616,7 @@
 export JAVA_HOME
 	CONFIGURE_FLAGS += --with-jdk-home=$(JAVA_HOME)
 	JAVA_COMMON_DEPENDS= , openoffice.org$(VER)-java-common (>> 2.2.0-4)
-  ifeq "$(SYSTEM_SAXON)" "y"
+  ifeq "$(USE_SYSTEM_SAXON)" "y"
 	CONFIGURE_FLAGS += --with-system-saxon --with-saxon-jar=/usr/share/java/saxonb.jar
 	BUILD_DEPS += , libsaxonb-java [$(OOO_JAVA_ARCHS)]
 	JAVA_COMMON_JAVA_DEPENDS+= , libsaxonb-java
@@ -2812,7 +2816,7 @@
 
 ifeq "$(ENABLE_JAVA)" "y"
 	# symlink jars we use externally
-  ifeq "$(SYSTEM_SAXON)" "y"
+  ifeq "$(USE_SYSTEM_SAXON)" "y"
 	ln -sf /usr/share/java/saxonb.jar \
 		$(PKGDIR)-java-common/$(OODIR)/program/classes/saxon9.jar
   endif


Reply to: